#include <bits/stdc++.h>
using namespace std;
int main()
{
    long a[100000],n,i;
    ifstream f1("TIMMAX.INP");
    f1>>n;
    for(i=0;i<n;i++)
    {
         f1>>a[i];
    }
    f1.close();
    long max,vitri;
    max=a[0];
    ofstream f2("TIMMAX.OUT");
    for(i=0;i<n;i++)
    {
         if(a[i]>=max){max=a[i];
         }
    }
    f2<<max<<endl;
    for(i=0;i<n;i++)
    {
        if(a[i]==max){
           vitri=i;
           f2<<vitri+1<<" ";
        }
    }
    f2.close();
}
